[differences between cumulative patch application and perl-5.003_99a] perl-5.003_99a
authorChip Salzenberg <chip@atlantic.net>
Wed, 7 May 1997 12:00:00 +0000 (00:00 +1200)
committerChip Salzenberg <chip@atlantic.net>
Wed, 7 May 1997 12:00:00 +0000 (00:00 +1200)
1  2 
hints/README.NeXT

diff --cc hints/README.NeXT
index 3e1a461,3e1a461..0000000
deleted file mode 100644,100644
+++ /dev/null
@@@ -1,56 -1,56 +1,0 @@@
--OPENSTEP
----------
--
--Support for OPENSTEP was added. Perl will build with as shared library. To build and install it, use this sequence:
--
--cd <wherever your perl source is>
--sh Configure -des
--DYLD_LIBRARY_PATH=`pwd`; export DYLD_LIBRARY_PATH
--make
--make test
--make install
--
--
--Depending on your shell, you might have to use 
--      
--      setenv DYLD_LIBRARY_PATH `pwd`
--
--instead of
--      
--      DYLD_LIBRARY_PATH=`pwd`; export DYLD_LIBRARY_PATH
--
--Note:
--During compilation/linking there are going to be some warnings, they do not seem to have any ill effects.
--
--Perl is going to be installed below the path /usr/local/OPENSTEP. This is done so that binaries for NEXTSTEP (3.2, 3.3 etc) will not be overwritten, since the OPENSTEP binaries will not work on those systems. Below is a part of my .zshrc file, that makes sure that the new OPENSTEP binaries are used on OPENSTEP:
--
--##############################
--if(fgrep -s 'OPENSTEP 4.' /usr/lib/NextStep/software_version )
--then
--path=(. /etc /usr/etc ~/Unix/bin /usr/local/OPENSTEP/bin /usr/local/bin /usr/local/netpbm/bin /usr/ucb /bin /usr/bin /usr/sybase/bin ~/Apps /LocalApps /NextApps /NextAdmin /NextDeveloper/Demos)
--else
--path=(. /etc /usr/etc ~/Unix/bin /usr/local/bin /usr/local/netpbm/bin /usr/ucb /bin /usr/bin /usr/sybase/bin ~/Apps /LocalApps /NextApps /NextAdmin /NextDeveloper/Demos)
--fi
--##############################
--
--You can change the installation path by changing 'prefix' in hints/next_4.sh before you run Configure.
--
--
--
--NEXTSTEP
----------
--
--The hints file for NEXTSTEP (hints/next_3.sh) was changed:
--
--- Support for MAB was added
--- perl's malloc is used now; this should take care of some problems with NEXTSTEP 3.2
--
--perl should build and install fine with this sequence:
--
--cd <wherever your perl source is>
--sh Configure -des
--make
--make test
--make install
--
--